/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

// Wait for the deviceready event before using any of Cordova's device APIs.
// See https://cordova.apache.org/docs/en/latest/cordova/events/events.html#deviceready
document.addEventListener('deviceready', onDeviceReady, false);

function onDeviceReady() {
    // Cordova is now initialized. Have fun!

    console.log('Running cordova-' + cordova.platformId + '@' + cordova.version);
}

var bText = { 0:"$.ajax()", 1:"$.post()", 2:"$.get()", 3:"$.ajax().done()" };

$(document).ready( function () {
    $("input").on("click", function () {
        val = $(this).val();
        msg = "Testing " + val;
        console.log(msg);
        $("#response p").html("&nbsp"); 
        switch(val) {
            case bText[0]:
                ajax_test_0(msg);
                break;
            case bText[1]:
                ajax_test_1(msg);
                break;
            case bText[2]:
                ajax_test_2(msg);
                break;
            case bText[3]:
                ajax_test_3(msg);
                break;  
            default:
                return;
        }
    });
});
/*var url_test = "http://www.example.com/ajax-server.php";*/
var url_test = "ajax-server.php";

function ajax_test_0(v) {
    $.ajax({
        url: url_test,
        type: "POST",
        data: { msg: v },
        success: function(msg) {    
            $("#response p").html(msg);     
        },
    });
}
function ajax_test_1(v) {
    $.post(
        url_test,
        { msg: v },
        function(msg) {
            $("#response p").html(msg); 
        },
    );
}
function ajax_test_2(v) {
    $.get(
        url_test,
        { msg: v },
        function(msg) {
            $("#response p").html(msg); 
        },
    );
}
function ajax_test_3(v) {
    $.ajax({
        url: url_test,
        type: "GET",
        data: { msg: v },
    }).done( function(msg) {
        $("#response p").html(msg); 
    });
}
